Bug 1051836 (mingw-flac) - Review Request: mingw-flac - Encoder/decoder for the Free Lossless Audio Codec
Summary: Review Request: mingw-flac - Encoder/decoder for the Free Lossless Audio Codec
Keywords:
Status: CLOSED ERRATA
Alias: mingw-flac
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 970418 (view as bug list)
Depends On:
Blocks: 970423
TreeView+ depends on / blocked
 
Reported: 2014-01-11 23:35 UTC by František Dvořák
Modified: 2014-01-27 13:10 UTC (History)
5 users (show)

Fixed In Version: mingw-flac-1.3.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-27 13:10:55 UTC
Type: ---
manisandro: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2014-01-11 23:35:40 UTC
Spec URL: http://scientific.zcu.cz/fedora/mingw-flac-1.3.0-1/mingw-flac.spec
SRPM URL: http://scientific.zcu.cz/fedora/mingw-flac-1.3.0-1/mingw32-flac-1.3.0-1.fc21.noarch.rpm
Description: FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is similar to Ogg Vorbis, but lossless. The FLAC project consists of the stream format, reference encoders and decoders in library form, flac, a command-line program to encode and decode FLAC files, metaflac, a command-line metadata editor for FLAC files and input plugins for various music players.
Fedora Account System Username: valtri

koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6391181

Comment 1 František Dvořák 2014-01-11 23:36:52 UTC
*** Bug 970418 has been marked as a duplicate of this bug. ***

Comment 2 Sandro Mani 2014-01-12 19:35:28 UTC
The SRPM url points to the noarch rpm. Could you upload the SRPM?

Comment 4 Sandro Mani 2014-01-12 20:22:30 UTC
All fine, just one little thing: you should add comments for the patches (i.e." Patches link to upstream bugs/comments/lists or are otherwise justified.")

Approved!



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or generated", "*No
     copyright* Public domain", "ISC", "BSD (3 clause)", "LGPL (v2.1 or
     later)", "*No copyright* GPL (v2 or later)". 18 files have unknown
     license. Detailed output of licensecheck in
     /home/sandro/.Data/Desktop/1051836-mingw-flac/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 184320 bytes in 12 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-flac , mingw64-flac
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw64-flac : /usr/x86_64-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/flac++.pc mingw64-flac : /usr/x86_64-w64-mingw32
     /sys-root/mingw/lib/pkgconfig/flac.pc mingw32-flac :
     /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/flac++.pc mingw32-flac
     : /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/flac.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-flac-1.3.0-1.fc21.noarch.rpm
          mingw64-flac-1.3.0-1.fc21.noarch.rpm
          mingw-flac-1.3.0-1.fc21.src.rpm
mingw32-flac.noarch: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
mingw32-flac.noarch: W: spelling-error %description -l en_US metaflac -> metacarpal
mingw32-flac.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
mingw64-flac.noarch: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
mingw64-flac.noarch: W: spelling-error %description -l en_US metaflac -> metacarpal
mingw64-flac.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
mingw-flac.src: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
mingw-flac.src: W: spelling-error %description -l en_US metaflac -> metacarpal
mingw-flac.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
3 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mingw64-flac mingw32-flac
mingw64-flac.noarch: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
mingw64-flac.noarch: W: spelling-error %description -l en_US metaflac -> metacarpal
mingw64-flac.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
mingw32-flac.noarch: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
mingw32-flac.noarch: W: spelling-error %description -l en_US metaflac -> metacarpal
mingw32-flac.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
mingw64-flac (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(libflac-8.dll)
    mingw64(libgcc_s_seh-1.dll)
    mingw64(libogg-0.dll)
    mingw64(libstdc++-6.dll)
    mingw64(msvcrt.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config

mingw32-flac (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(libflac-8.dll)
    mingw32(libgcc_s_sjlj-1.dll)
    mingw32(libogg-0.dll)
    mingw32(libstdc++-6.dll)
    mingw32(msvcrt.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config



Provides
--------
mingw64-flac:
    mingw64(libflac++-6.dll)
    mingw64(libflac-8.dll)
    mingw64-flac

mingw32-flac:
    mingw32(libflac++-6.dll)
    mingw32(libflac-8.dll)
    mingw32-flac



Source checksums
----------------
http://downloads.xiph.org/releases/flac/flac-1.3.0.tar.xz :
  CHECKSUM(SHA256) this package     : fa2d64aac1f77e31dfbb270aeb08f5b32e27036a52ad15e69a77e309528010dc
  CHECKSUM(SHA256) upstream package : fa2d64aac1f77e31dfbb270aeb08f5b32e27036a52ad15e69a77e309528010dc


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1051836
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 František Dvořák 2014-01-12 20:39:20 UTC
Thanks! Patches got into upstream (by Miroslav Lichvar), so I'll add there comments:

# https://git.xiph.org/?p=flac.git;a=commitdiff;h=606fdfcaece19d3e05434bde57c289102a369069
Patch1:         flac-metaflac_strcat.patch
# https://git.xiph.org/?p=flac.git;a=commitdiff;h=4eab6313cd2198b5647d925bdb3847590505fa21
Patch2:         flac-no_rice_asm.patch

Comment 6 František Dvořák 2014-01-14 07:04:21 UTC
New Package SCM Request
=======================
Package Name: mingw-flac
Short Description: Encoder/decoder for the Free Lossless Audio Codec
Owners: valtri
Branches: f19 f20
InitialCC:

Comment 7 Gwyn Ciesla 2014-01-14 13:16:00 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-01-14 22:27:56 UTC
mingw-flac-1.3.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-flac-1.3.0-1.fc20

Comment 9 Fedora Update System 2014-01-14 22:31:35 UTC
mingw-flac-1.3.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-flac-1.3.0-1.fc19

Comment 10 Fedora Update System 2014-01-16 06:57:40 UTC
mingw-flac-1.3.0-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-01-27 13:06:50 UTC
mingw-flac-1.3.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 12 Fedora Update System 2014-01-27 13:10:55 UTC
mingw-flac-1.3.0-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.